%define _prefix /opt/freeware
%define _defaultdocdir %{_prefix}/doc

%define glib2_version 2.2.3
%define gtk2_version 2.2.4
%define libgnomeui_version 2.4.0.1
%define gnome_desktop_version 2.4.0
%define libwnck_version 2.4.0.1
%define libbonobo_version 2.4.0
%define libbonoboui_version 2.4.0
%define gnome_vfs2_version 2.4.0
%define bonobo_activation_version @bonobo-activation_version@
%define scrollkeeper_version 0.3.12

Summary: 	GNOME panel
Name: 		gnome-panel
Version: 	2.4.0
Release: 	2
URL: 		http://www.gnome.org
Source: 	ftp://ftp.gnome.org/pub/GNOME/pre-gnome2/sources/gnome-panel/%{name}-%{version}.tar.bz2

Patch0:		gnome-panel-2.4.0-aix.patch
Patch1:		gnome-panel-2.4.0-autotools.patch

License: 	GPL 
Group: 		User Interface/Desktops
BuildRoot: 	%{_tmppath}/%{name}-%{version}-root

Requires: 	gnome-desktop >= %{gnome_desktop_version}
PreReq:		scrollkeeper >= %{scrollkeeper_version}

BuildRequires: glib2-devel >= %{glib2_version}
BuildRequires: gtk2-devel >= %{gtk2_version}
BuildRequires: libgnomeui-devel >= %{libgnomeui_version}
BuildRequires: gnome-desktop-devel >= %{gnome_desktop_version}
BuildRequires: libwnck-devel >= %{libwnck_version}
BuildRequires: libbonobo-devel >= %{libbonobo_version}
BuildRequires: libbonoboui-devel >= %{libbonoboui_version}
BuildRequires: gnome-vfs2-devel >= %{gnome_vfs2_version}
BuildRequires: bonobo-activation-devel >= %{bonobo_activation_version}

%description
The GNOME panel provides the window list, workspace switcher, menus, and other 
features for the GNOME desktop.

%prep
%setup -q

if test x$PATCH = x ; then
  PATCH=patch ;
fi
$PATCH -p2 -s < %{_sourcedir}/gnome-panel-2.4.0-aix.patch
$PATCH -p2 -s < %{_sourcedir}/gnome-panel-2.4.0-autotools.patch


%build
CPPFLAGS=-I%{_includedir} LDFLAGS=-L%{_libdir} PATH=%{_bindir}:$PATH ./configure --prefix=%{_prefix} --disable-gtk-doc
G_CHARSET_ALIAS=%{_libdir}/charset.alias PATH=%{_bindir}:$PATH make

%install
if test "%{buildroot}" != "/"; then
        rm -rf %{buildroot}
fi
mkdir -p %{buildroot}
GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 make DESTDIR=%{buildroot} install-strip

# Make the links
cd %{buildroot}
for dir in bin lib include
do
        mkdir -p usr/$dir
        cd usr/$dir
        ln -sf ../..%{_prefix}/$dir/* .
        cd -
done

%clean
  
%post
export PATH=%{_bindir}:$PATH
export GCONF_CONFIG_SOURCE=`%{_bindir}/gconftool-2 --get-default-source`
# this spits a warning right now, needs fixing in gconf
%{_bindir}/gconftool-2 --direct --config-source=$GCONF_CONFIG_SOURCE --recursive-unset /schemas/apps/panel 2>/dev/null
SCHEMAS="panel-compatibility.schemas panel-global.schemas panel-general.schemas panel-toplevel.schemas panel-object.schemas \
	 gnome-panel-screenshot.schemas clock.schemas fish.schemas workspace-switcher.schemas window-list.schemas"
for S in $SCHEMAS; do
  %{_bindir}/gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/$S > /dev/null
done
gconftool-2 --direct --config-source=$GCONF_CONFIG_SOURCE --recursive-unset /apps/panel
gconftool-2 --direct --config-source=$GCONF_CONFIG_SOURCE --load %{_sysconfdir}/gconf/schemas/panel-default-setup.entries
export XML_CATALOG_FILES=%{_sysconfdir}/xml/docbook
scrollkeeper-update -q > /dev/null

%postun
export PATH=%{_bindir}:$PATH
export XML_CATALOG_FILES=%{_sysconfdir}/xml/docbook
scrollkeeper-update -q > /dev/null


%files 
%defattr(-,root,system)
%doc AUTHORS COPYING ChangeLog NEWS README

%{_bindir}/*
%{_libexecdir}/*
%{_libdir}/bonobo
%{_libdir}/*.a

%{_sysconfdir}/gconf/schemas/*.schemas
%{_sysconfdir}/gconf/schemas/*.entries

# Removed between 2.2.1 and 2.4.0
# %{_sysconfdir}/sound

%{_datadir}/control-center-2.0

# Removed between 2.2.1 and 2.4.0
#%{_datadir}/gen_util
%{_datadir}/gnome-2.0
%{_datadir}/gnome-panel
%{_datadir}/gnome-panelrc
%{_datadir}/gnome
%{_datadir}/gtk-doc
%{_datadir}/idl
%{_datadir}/locale/*/LC_MESSAGES/gnome-panel-2.0.mo
%{_datadir}/omf
%{_datadir}/pixmaps
%{_mandir}/man*/*

# doesn't contain .desktop files anymore, apparently
#%{_datadir}/applications

# theoretically a devel package, but just doesn't seem worth it
%{_libdir}/pkgconfig/*
%{_includedir}/panel-2.0
%{_libdir}/*.la

# system tray applet stuff
# missing librairies... @faur1d
# %{_libdir}/system-tray-applet

/usr/bin/*
/usr/lib/lib*.a
/usr/include/*
